Warm session
Pre-warm the sandboxed environment for a repository to reduce latency when creating a new session. Call this before creating a session if you want faster startup times.
Base URL
POST
Pre-warm the sandboxed environment for a repository to reduce latency when creating a new session. Call this before creating a session if you want faster startup times.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
application/json- body
repository*stringThe repository to warm the environment for. Use "auto" to warm the most likely repository based on recent session history.
Length
1 <= lengthsession_id?stringOptional session ID to associate with the warm request and reuse an existing sandbox context. The session must belong to the API key user or have been created by the API key user.
Warm request accepted
application/json- response
ok*trueValue in
truecurl -X POST 'https://your-org.inspect.com/api/public/v1/sessions/warm' \ -H 'Content-Type: application/json' \ -d '{ "repository": "string"}'Example Response
{ "ok": true}